use warnings;
use strict;

use 5.008009;
use ExtUtils::MakeMaker;

WriteMakefile(
    'NAME' => 'clive',
    ( $[ >= 5.8 )
    ? ( 'AUTHOR'     => 'Toni Gundogdu <legatvs at sign gmail com>',
        'ABSTRACT' => 'Command line video download tool'
        )
    : (),
    'VERSION_FROM' => 'bin/clive',
    'EXE_FILES' => ['bin/clive'],
    'PREREQ_PM' => {
# Earlier versions may work.
'Getopt::ArgvFile' => 1.11, # <http://search.cpan.org/perldoc?Getopt::ArgvFile>
'JSON::XS'         => 2.30, # <http://search.cpan.org/perldoc?JSON::XS>
# Minimum req.
'version'          => 0.77, # <http://search.cpan.org/perldoc?version>
    },
    'LICENSE'  => 'gpl',
    'MAN1PODS' =>
        { 'man1/clive.1.pod' => '$(INST_MAN1DIR)/clive.$(MAN1EXT)' },
    dist => {
        PREOP =>
'@if test -f .git/HEAD; then \
	git log --stat --after="Tue Sep 28 02:13:39 2010" >ChangeLog; \
fi',
        POSTOP   =>
'@if test -f .git/HEAD; then \
	git checkout ChangeLog; \
fi',
    },
);
